## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           ulauncher
Version:        5.13.0
Release:        %{autorelease}
Summary:        Linux Application Launcher
BuildArch:      noarch

License:        GPLv3+
URL:            https://github.com/Ulauncher/Ulauncher
Source0:        %{url}/releases/download/%{version}/%{name}_%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  keybinder3-devel
BuildRequires:  python3-dbus
BuildRequires:  python3-devel
BuildRequires:  python3-distutils-extra
BuildRequires:  python3-gobject-devel >= 3.30
BuildRequires:  python3-inotify
BuildRequires:  python3-Levenshtein
BuildRequires:  python3-pyxdg
BuildRequires:  python3-websocket-client
BuildRequires:  systemd-rpm-macros

BuildRequires:  python3dist(requests)

BuildRequires:  pkgconfig(gtk+-3.0)

Requires:       hicolor-icon-theme
Requires:       keybinder3
Requires:       webkitgtk4
Requires:       python3-cairo
Requires:       python3-dbus
Requires:       python3-gobject
Requires:       python3-inotify
Requires:       python3-Levenshtein
Requires:       python3-pyxdg
Requires:       python3-websocket-client
Requires:       wmctrl

Recommends:     libappindicator-gtk3

%description
Ulauncher is a fast application launcher for Linux. It's is written in Python,
using GTK+.


%prep
%autosetup -n %{name} -p1
sed -i "s|version='%%VERSION%'|version='%{version}'|g" setup.py


%build
%py3_build


%install
%py3_install


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%post
%systemd_user_post %{name}.service

%preun
%systemd_user_preun %{name}.service

%postun
%systemd_user_postun_with_restart %{name}.service


%files
%license LICENSE
%doc README.md AUTHORS
%{_bindir}/%{name}
%{_bindir}/%{name}-toggle
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%dir %{_datadir}/icons/breeze/
%dir %{_datadir}/icons/elementary/
%dir %{_datadir}/icons/gnome/
%dir %{_datadir}/icons/ubuntu-mono-dark/
%dir %{_datadir}/icons/ubuntu-mono-light/
%{_datadir}/icons/breeze/apps/48/%{name}-indicator.svg
%{_datadir}/icons/elementary/scalable/apps/%{name}-indicator.svg
%{_datadir}/icons/gnome/scalable/apps/%{name}-indicator.svg
%{_datadir}/icons/gnome/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/*/apps/%{name}-indicator.svg
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_datadir}/icons/ubuntu-mono-*/scalable/apps/%{name}-indicator.svg
%{_userunitdir}/%{name}.service
%{python3_sitelib}/%{name}-*-py*.egg-info
%{python3_sitelib}/%{name}/


%changelog
* Sat Sep 04 2021 Troy Curtis Jr <troy@troycurtisjr.com> 5.13.0-1
- Update to 5.13.0, resolving rhbz 2001116.

* Tue Aug 31 2021 Troy Curtis Jr <troy@troycurtisjr.com> 5.12.2-1
- Update to 5.12.2. (rhbz 1996304)

* Sat Aug 21 2021 Troy Curtis Jr <troy@troycurtisjr.com> 5.12.1-1
- Update to 5.12.1 to pull in some fixes for launching apps.

* Sat Aug 21 2021 Troy Curtis Jr <troy@troycurtisjr.com> 5.12.0-2
- Update to 5.12.0.

* Fri Aug 06 2021 Troy Curtis, Jr <troy@troycurtisjr.com> - 5.11.0-5
- Fix systemd service file to start consistently as a user service.
- Require wmctrl which is used by the included ulauncher-toggle script.
  https://bugzilla.redhat.com/show_bug.cgi?id=1985744

* Wed Jul 21 2021 Troy Curtis, Jr <troy@troycurtisjr.com> - 5.11.0-4
- Put the systemd file in the right place for user systemd files.

* Tue Jul 20 2021 Troy Curtis, Jr <troy@troycurtisjr.com> - 5.11.0-3
- Add patch to resolve errors in extensions when Gtk4 is present.

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 5.11.0-2
- Rebuilt for Python 3.10

* Sun Apr 18 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 5.11.0-1
- build(update): 5.11.0
- build: libappindicator-gtk3 now optional dep | GH-commit: 87f41b3

* Mon Mar 22 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 5.10.0-3
- build: libappindicator-gtk3 now hard dep

* Tue Mar 02 2021 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 5.10.0-2
- Rebuilt for updated systemd-rpm-macros
  See https://pagure.io/fesco/issue/2583.

* Mon Feb 08 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 5.10.0-1
- build(update): 5.10.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Nov 22 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 5.9.0-1
- build(update): 5.9.0

* Sun Nov 22 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 5.8.2-1
- build(update): 5.8.2

* Sat Nov  7 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 5.8.1-2
- build: add new systemd unit | rh#1895572

* Wed Oct 28 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 5.8.1-1
- build(update): 5.8.1

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Jun 28 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 5.8.0-1
- Update to 5.8.0

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 5.7.5-2
- Rebuilt for Python 3.9

* Sat Apr 25 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 5.7.5-1
- Update to 5.7.5

* Sat Apr 18 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 5.7.4-1
- Update to 5.7.4

* Sun Apr 12 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 5.7.3-1
- Update to 5.7.3

* Wed Apr 08 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 5.7.1-1
- Update to 5.7.1

* Sat Mar 28 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 5.7.0-1
- Update to 5.7.0

* Wed Feb 26 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 5.6.1-4
- Initial package

